# -*- coding: utf-8 -*-
from setuphelpers import *

# Installation procedure: https://docs.microsoft.com/powershell/scripting/install/installing-powershell-on-windows
# silent_args = 'ADD_EXPLORER_CONTEXT_MENU_OPENPOWERSHELL=0 REGISTER_MANIFEST=0 ENABLE_PSREMOTING=0'


def install():
    # Older Windows versions depends on PowerShell 5
    if windows_version() < WindowsVersions.Windows10:
        package_prefix = control.package.split("-", 1)[0]
        pkg_name = package_prefix + "-" + "powershell5"
        if not WAPT.is_installed(pkg_name):
            if WAPT.is_available(pkg_name):
                print("Installing: %s" % pkg_name)
                WAPT.install(pkg_name)
                WAPT.audit(pkg_name)
            else:
                error("ERROR: %s package not found on the repo, please import it" % pkg_name)

    # Installing package
    bin_name = glob.glob("PowerShell-*.msi")[0]
    install_msi_if_needed(
        bin_name,
        min_version=control.get_software_version(),
    )
